curl
curl -sS -X POST "https://gateway.orbit/api/v1/projects" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"slug": "acme", "type": "monorepo", "repository_url": "https://github.com/acme/site.git", "root": "public"}'{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
Create a Project
Create a project.
POST
/
api
/
v1
/
projects
curl
curl -sS -X POST "https://gateway.orbit/api/v1/projects" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"slug": "acme", "type": "monorepo", "repository_url": "https://github.com/acme/site.git", "root": "public"}'{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"data": {
"id": 123,
"name": "<string>",
"slug": "<string>",
"code": "<string>",
"type": "monorepo",
"repository_url": "<string>",
"source_access": "github_app",
"default_branch": "<string>",
"root": "<string>",
"task_check": "<string>",
"task_workspace_routed": true,
"review_and_merge": true,
"merge_check": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Body
application/json
Unique project slug
Maximum string length:
63Pattern:
^[A-Za-z0-9_-]+$Project type (monorepo, laravel-app, symfony-app, laravel-package, or node-package)
Available options:
monorepo, laravel-app, symfony-app, laravel-package, node-package Maximum string length:
2048Repository-relative root; defaults to . for package types and public otherwise
Maximum string length:
255Optional display name
Maximum string length:
255Pattern:
^[A-Z]{3}$(?![\s\S])How Orbit reads a private github.com repository: github_app (default) or gh_cli
Available options:
github_app, gh_cli Stored default branch; resolve the remote default when omitted
Maximum string length:
255Task check command. Omitted stores none
Maximum string length:
4096Whether new task workspaces get a Route (true or false)